org.icefaces.ace.component.dataexporter

## Class OuterTableCSVExporter

- java.lang.Object
- - org.icefaces.ace.component.dataexporter.Exporter
  - - org.icefaces.ace.component.dataexporter.CSVExporter
    - - org.icefaces.ace.component.dataexporter.OuterTableCSVExporter

-     public class OuterTableCSVExporter
      extends CSVExporter

  This custom exporter is only available by using the 'customExporter' attribute. It invokes InnerTableCSVExporter. The ICEfaces showcase application contains an example of how to use it.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.icefaces.ace.component.dataexporter.Exporter

      `Exporter.ColumnType, Exporter.SpanningColumn, Exporter.SpanningRow, Exporter.SpanningRows`

  - ### Field Summary

    - ### Fields inherited from class org.icefaces.ace.component.dataexporter.Exporter

      `encodingType, excludeColumns, expandedOnly, filename, HTML_TAG_PATTERN, includeFooters, includeHeaders, logger, pageOnly, pdfFont, postProcessor, preProcessor, selectedRowsOnly, spanningFooterRows, spanningRows, userColumnOrder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OuterTableCSVExporter(java.lang.String innerTableId)`
    `OuterTableCSVExporter(java.lang.String innerTableId, DataTable innerTable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `export(javax.faces.context.FacesContext facesContext, DataExporter component, DataTable table)`

    - ### Methods inherited from class org.icefaces.ace.component.dataexporter.CSVExporter

      `addColumnValue, addColumnValue, addColumnValues, addFacetColumns, exportChildRows, exportConditionalRow`

    - ### Methods inherited from class org.icefaces.ace.component.dataexporter.Exporter

      `determineHeaderColumnOrdering, exportChildRowValues, exportConditionalRowValues, exportValue, getColumnGroupFooter, getColumnGroupHeader, getColumnsToExport, getFooterRowColumnsToExport, getRowColumnsToExport, getRows, getRows, hasColumnFooter, registerResource, resolveExcludedColumnIndexes, setUp, shouldExcludeFromExport`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OuterTableCSVExporter

          public OuterTableCSVExporter(java.lang.String innerTableId)

    - #### OuterTableCSVExporter

          public OuterTableCSVExporter(java.lang.String innerTableId,
                                       DataTable innerTable)

  - ### Method Detail

    - #### export

          public java.lang.String export(javax.faces.context.FacesContext facesContext,
                                         DataExporter component,
                                         DataTable table)
                                  throws java.io.IOException

      Overrides:
        `export` in class `CSVExporter`
      Throws:
        `java.io.IOException`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.